Create a validation request
POST
/v1/project-import-sources/{sourceId}/validation-requestscurl -X POST 'https://api.embodiflow.io/v1/project-import-sources/{sourceId}/validation-requests' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"credentials": {
"accessKeyId": "string",
"secretAccessKey": "string"
},
"conditionalIdentitySupported": true
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- sourceIdstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- credentialsobject必填
- accessKeyIdstring必填
- secretAccessKeystring必填
- conditionalIdentitySupportedboolean
响应
Success
- dataobject必填
- statusstring必填
- bucketReachableone of必填
- prefixExistsone of必填
- estimatedObjectCountnumber必填
- estimatedBytesnumber必填
- truncatedone of必填
- sampleObjectsarray<ProjectImportSampleObjectDto>必填
- warningsarray<string>必填
- attemptobject
响应示例
{
"data": {
"status": "string",
"bucketReachable": false,
"prefixExists": false,
"estimatedObjectCount": 0,
"estimatedBytes": 0,
"truncated": false,
"sampleObjects": [
{
"key": "string",
"sizeBytes": 0,
"lastModified": "string"
}
],
"warnings": [
"string"
],
"attempt": {
"attemptId": "string",
"credentialDeadlineAt": "string",
"credentialStorage": "one-shot-cache",
"objects": [
{
"key": "string",
"size": 0,
"etag": "string",
"versionId": "string",
"lastModified": "string",
"checksumAlgorithm": "string",
"checksumValue": "string"
}
],
"bindings": [
{
"groupKey": "string",
"dataFormat": "string",
"profile": {
"sourceKind": "string",
"recordingShape": "string",
"privacyRequirement": "string"
},
"objectKeys": [
"string"
],
"unresolvedCode": "string"
}
]
}
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1